Pagina 1 van 1

Subdomein werkt niet onder PHP 7 en hoger

Geplaatst: 20 feb 2019, 09:21
door wageral
Ik begrijp dat oudere PHP versies in de toekomets uitgefaseerd gaan worden. Daarom ben ik nu al aan het testen wat de mogelijkheden zijn m.b.t. mijn twee (MyBB) forums.
Een drukbezocht forum op https://www.domein.nl/forum
Een ander forum op een subdomein op https://www.forum.domein.nl

Ik draai nu nog onder PHP 5.6 en beide fora draaien prima. Als ik tijdelijk overga naar PHP 7.0 of 7.1 geeft het tweede forum (het subdomein dus) enkel een lege pagina. Terug naar PHP 5.6 verschijnt deze weer.......
Iemand een idee hoe dit komt? Werken subdomeinen diet onder PHP 7.0 en hoger?

Misschien wil/kan iemand me op weg helpen? Of kan ik beter contact opnemen met de Antagonist helpdesk?

Alvast bedankt voor het meedenken,
Ger

Re: Subdomein werkt niet onder PHP 7 en hoger

Geplaatst: 20 feb 2019, 11:05
door Joris de Leeuw
Beste Ger,

Vervelend om te lezen dat je website niet meer werkt na het omschakelen van de PHP-versie.

Dit betekent dat je website nog niet overweg kan met het nieuwe PHP 7. Voor nu kan je dus het beste PHP 5.6 blijven gebruiken zodat je website iedergeval wel werkt.

Wel is het aanbevolen je website bij te werken en up-te-daten zodat deze wel kan gaan werken met het snellere PHP 7.

Tips hiervoor staan tevens op: https://www.antagonist.nl/blog/2017/09/ ... nst-php71/

Re: Subdomein werkt niet onder PHP 7 en hoger

Geplaatst: 20 feb 2019, 11:25
door wageral
Dat zou eigenlijk niet moeten kunnen Joris, beide fora gebruiken namelijk MyBB-forumsoftware met exact dezelfde (nieuwste) versie 1.8.19..........

Re: Subdomein werkt niet onder PHP 7 en hoger

Geplaatst: 20 feb 2019, 13:23
door Joris de Leeuw
Hallo Ger,

Het beste kan je dan in de logboeken kijken waar specifiek de fout ontstaat. In de logboeken worden dit soort problemen namelijk verder technisch toegelicht.

Hoe je de logboeken kan vinden is te lezen op: https://www.antagonist.nl/help/nl/webhosting/setup/logs

Het probleem kan daarbij op wijzen dat bijvoorbeeld een thema of module van je MyBB-forumsoftware nog niet goed werkt met PHP 7.

Voor tips en toelichting van het herleiden van dit soort problemen zie ook:
- https://www.antagonist.nl/blog/2017/09/ ... nst-php71/

Re: Subdomein werkt niet onder PHP 7 en hoger

Geplaatst: 20 feb 2019, 15:37
door wageral
Ik ga er mee aan de slag Joris. Ben weer (voorlopig)teruggegaan naar PHP 5.6.
Ander vraagje: Hoe lang kan ik 5.6 nog blijven gebruiken; ik begrijp dat deze versie niet meer wordt ondersteund maar komt er een datum dat ik 5.6 niet meer kan gebruiken? En waar hebben we het dan over? Weken, maanden of jaren? Dan heb ik een idee of ik me moet haasten of rustig op onderzoek uit kan gaan. Wil immers niet dat m'n forum onbereikbaar wordt.......